import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {OpenaireErrorPageComponent} from './error/errorPage.component';

const routes: Routes = [
  {path: '', loadChildren: './home/home.module#HomeModule'},
  {
    path: 'browse',
    loadChildren: './search-stakeholders/search-stakeholders.module#SearchStakeholdersModule'
  },
  {path: 'about', redirectTo: 'about/learn-how', pathMatch: 'full'},
  {
    path: 'about/learn-how',
    loadChildren: './learn-how/learn-how.module#LearnHowModule'
  },
  {
    path: 'contact-us',
    loadChildren: './contact/contact.module#ContactModule'
  },
  {
    path: 'reload',
    loadChildren: './reload/libReload.module#LibReloadModule'
  },
  {
    path: 'user-info',
    loadChildren: './login/libUser.module#LibUserModule'
  },
  {path: 'error', component: OpenaireErrorPageComponent},
  {path: 'theme', loadChildren: './openaireLibrary/utils/theme/theme.module#ThemeModule'},
  {
    path: '**',
    pathMatch: 'full',
    component: OpenaireErrorPageComponent
  }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule {
}
